Package be.fgov.ehealth.dics.protocol.v5

# Class ValidateSamIdRequest

java.lang.Object
be.fgov.ehealth.commons.protocol.v2.RequestType
be.fgov.ehealth.dics.protocol.v5.ValidateSamIdRequest

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:17:51+02:00", comments="JAXB RI v4.0.5") public class ValidateSamIdRequest extends RequestType implements Serializable

Java class for ValidateSamIdRequestType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ValidateSamIdRequestType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}RequestType">
           <sequence>
             <element name="SamId" type="{http://www.w3.org/2001/XMLSchema}string"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ValidateSamIdRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getSamId()`
  A unique SAM Id indicating the version of SAM that was consulted.
  `void`
  `setSamId(String value)`
  Sets the value of the samId property.

  ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.RequestType

  `getId, getIssueInstant, setId, setIssueInstant`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ValidateSamIdRequest

    public ValidateSamIdRequest()

- ## Method Details

  - ### getSamId

    public String getSamId()
    A unique SAM Id indicating the version of SAM that was consulted. Users of SAM (e.g. prescribers) must use this Id to prove that the data they use is sufficiently recent.
    Returns:
      possible object is `String`

  - ### setSamId

    public void setSamId(String value)
    Sets the value of the samId property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getSamId()`